io.undertow.protocols.alpn

## Interface ALPNEngineManager

All Known Implementing Classes:
  DefaultAlpnEngineManager, SNIAlpnEngineManager

    public interface ALPNEngineManager

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getPriority()`
`boolean` `registerEngine(SSLEngine engine, Function<SSLEngine,SSLEngine> selectedFunction)`

### Method Detail

#### getPriority

    int getPriority()

Returns:
  The priority of this provider, higher priority managers will be tried first

#### registerEngine

    boolean registerEngine(SSLEngine engine,
                           Function<SSLEngine,SSLEngine> selectedFunction)

Parameters:
  `engine` - The original SSL Engine
  `selectedFunction` - A function that must be called when the Underlying SSL engine has been selected. The return value of this callback may be a wrapped engine, which must replace the selected engine
Returns:
  `true` if the engine was registered, false otherwise